## NMSettingPpp NMSettingPpp — Describes connection properties for devices/networks that require PPP to deliver IP capability |

## Functions

NMSetting * | nm_setting_ppp_new ()
gboolean | nm_setting_ppp_get_noauth ()
gboolean | nm_setting_ppp_get_refuse_eap ()
gboolean | nm_setting_ppp_get_refuse_pap ()
gboolean | nm_setting_ppp_get_refuse_chap ()
gboolean | nm_setting_ppp_get_refuse_mschap ()
gboolean | nm_setting_ppp_get_refuse_mschapv2 ()
gboolean | nm_setting_ppp_get_nobsdcomp ()
gboolean | nm_setting_ppp_get_nodeflate ()
gboolean | nm_setting_ppp_get_no_vj_comp ()
gboolean | nm_setting_ppp_get_require_mppe ()
gboolean | nm_setting_ppp_get_require_mppe_128 ()
gboolean | nm_setting_ppp_get_mppe_stateful ()
gboolean | nm_setting_ppp_get_crtscts ()
guint32 | nm_setting_ppp_get_baud ()
guint32 | nm_setting_ppp_get_mru ()
guint32 | nm_setting_ppp_get_mtu ()
guint32 | nm_setting_ppp_get_lcp_echo_failure ()
guint32 | nm_setting_ppp_get_lcp_echo_interval ()

## Types and Values

#define | NM_SETTING_PPP_SETTING_NAME
#define | NM_SETTING_PPP_NOAUTH
#define | NM_SETTING_PPP_REFUSE_EAP
#define | NM_SETTING_PPP_REFUSE_PAP
#define | NM_SETTING_PPP_REFUSE_CHAP
#define | NM_SETTING_PPP_REFUSE_MSCHAP
#define | NM_SETTING_PPP_REFUSE_MSCHAPV2
#define | NM_SETTING_PPP_NOBSDCOMP
#define | NM_SETTING_PPP_NODEFLATE
#define | NM_SETTING_PPP_NO_VJ_COMP
#define | NM_SETTING_PPP_REQUIRE_MPPE
#define | NM_SETTING_PPP_REQUIRE_MPPE_128
#define | NM_SETTING_PPP_MPPE_STATEFUL
#define | NM_SETTING_PPP_CRTSCTS
#define | NM_SETTING_PPP_BAUD
#define | NM_SETTING_PPP_MRU
#define | NM_SETTING_PPP_MTU
#define | NM_SETTING_PPP_LCP_ECHO_FAILURE
#define | NM_SETTING_PPP_LCP_ECHO_INTERVAL

## Description

The NMSettingPpp object is a NMSetting subclass that describes properties necessary for connection to networks that require PPP transport, like PPPoE cable and DSL modems and some mobile broadband devices.

## Functions

### nm_setting_ppp_new ()

    NMSetting *
    nm_setting_ppp_new (void);

Creates a new NMSettingPpp object with default values.

#### Returns

the new empty NMSettingPpp object.

[transfer full]

### nm_setting_ppp_get_noauth ()

    gboolean
    nm_setting_ppp_get_noauth (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “noauth” property of the setting

### nm_setting_ppp_get_refuse_eap ()

    gboolean
    nm_setting_ppp_get_refuse_eap (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “refuse-eap” property of the setting

### nm_setting_ppp_get_refuse_pap ()

    gboolean
    nm_setting_ppp_get_refuse_pap (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “refuse-pap” property of the setting

### nm_setting_ppp_get_refuse_chap ()

    gboolean
    nm_setting_ppp_get_refuse_chap (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “refuse-chap” property of the setting

### nm_setting_ppp_get_refuse_mschap ()

    gboolean
    nm_setting_ppp_get_refuse_mschap (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “refuse-mschap” property of the setting

### nm_setting_ppp_get_refuse_mschapv2 ()

    gboolean
    nm_setting_ppp_get_refuse_mschapv2 (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “refuse-mschapv2” property of the setting

### nm_setting_ppp_get_nobsdcomp ()

    gboolean
    nm_setting_ppp_get_nobsdcomp (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “nobsdcomp” property of the setting

### nm_setting_ppp_get_nodeflate ()

    gboolean
    nm_setting_ppp_get_nodeflate (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “nodeflate” property of the setting

### nm_setting_ppp_get_no_vj_comp ()

    gboolean
    nm_setting_ppp_get_no_vj_comp (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “no-vj-comp” property of the setting

### nm_setting_ppp_get_require_mppe ()

    gboolean
    nm_setting_ppp_get_require_mppe (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “require-mppe” property of the setting

### nm_setting_ppp_get_require_mppe_128 ()

    gboolean
    nm_setting_ppp_get_require_mppe_128 (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “require-mppe-128” property of the setting

### nm_setting_ppp_get_mppe_stateful ()

    gboolean
    nm_setting_ppp_get_mppe_stateful (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “mppe-stateful” property of the setting

### nm_setting_ppp_get_crtscts ()

    gboolean
    nm_setting_ppp_get_crtscts (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “crtscts” property of the setting

### nm_setting_ppp_get_baud ()

    guint32
    nm_setting_ppp_get_baud (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “baud” property of the setting

### nm_setting_ppp_get_mru ()

    guint32
    nm_setting_ppp_get_mru (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “mru” property of the setting

### nm_setting_ppp_get_mtu ()

    guint32
    nm_setting_ppp_get_mtu (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “mtu” property of the setting

### nm_setting_ppp_get_lcp_echo_failure ()

    guint32
    nm_setting_ppp_get_lcp_echo_failure (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “lcp-echo-failure” property of the setting

### nm_setting_ppp_get_lcp_echo_interval ()

    guint32
    nm_setting_ppp_get_lcp_echo_interval (NMSettingPpp *setting);

#### Parameters

setting | the NMSettingPpp |

#### Returns

the “lcp-echo-interval” property of the setting

## Types and Values

### NM_SETTING_PPP_SETTING_NAME

    #define NM_SETTING_PPP_SETTING_NAME "ppp"

### NM_SETTING_PPP_NOAUTH

    #define NM_SETTING_PPP_NOAUTH            "noauth"

### NM_SETTING_PPP_REFUSE_EAP

    #define NM_SETTING_PPP_REFUSE_EAP        "refuse-eap"

### NM_SETTING_PPP_REFUSE_PAP

    #define NM_SETTING_PPP_REFUSE_PAP        "refuse-pap"

### NM_SETTING_PPP_REFUSE_CHAP

    #define NM_SETTING_PPP_REFUSE_CHAP       "refuse-chap"

### NM_SETTING_PPP_REFUSE_MSCHAP

    #define NM_SETTING_PPP_REFUSE_MSCHAP     "refuse-mschap"

### NM_SETTING_PPP_REFUSE_MSCHAPV2

    #define NM_SETTING_PPP_REFUSE_MSCHAPV2   "refuse-mschapv2"

### NM_SETTING_PPP_NOBSDCOMP

    #define NM_SETTING_PPP_NOBSDCOMP         "nobsdcomp"

### NM_SETTING_PPP_NODEFLATE

    #define NM_SETTING_PPP_NODEFLATE         "nodeflate"

### NM_SETTING_PPP_NO_VJ_COMP

    #define NM_SETTING_PPP_NO_VJ_COMP        "no-vj-comp"

### NM_SETTING_PPP_REQUIRE_MPPE

    #define NM_SETTING_PPP_REQUIRE_MPPE      "require-mppe"

### NM_SETTING_PPP_REQUIRE_MPPE_128

    #define NM_SETTING_PPP_REQUIRE_MPPE_128  "require-mppe-128"

### NM_SETTING_PPP_MPPE_STATEFUL

    #define NM_SETTING_PPP_MPPE_STATEFUL     "mppe-stateful"

### NM_SETTING_PPP_CRTSCTS

    #define NM_SETTING_PPP_CRTSCTS           "crtscts"

### NM_SETTING_PPP_BAUD

    #define NM_SETTING_PPP_BAUD              "baud"

### NM_SETTING_PPP_MRU

    #define NM_SETTING_PPP_MRU               "mru"

### NM_SETTING_PPP_MTU

    #define NM_SETTING_PPP_MTU               "mtu"

### NM_SETTING_PPP_LCP_ECHO_FAILURE

    #define NM_SETTING_PPP_LCP_ECHO_FAILURE  "lcp-echo-failure"

### NM_SETTING_PPP_LCP_ECHO_INTERVAL

    #define NM_SETTING_PPP_LCP_ECHO_INTERVAL "lcp-echo-interval"